import { PkgItem, Compiler, BaseProject, NessPkgItem } from '@thing.js/cli-utils';
import { RollupOptions } from 'rollup';

declare function getRollupConfig(pkg: PkgItem, compiler: Compiler): RollupOptions;

declare class Project extends BaseProject {
    getRollupConfig: typeof getRollupConfig;
    hasPkgJson(dirPath: string): boolean;
    getPackageInfo(dirPath: string): NessPkgItem;
    onBuild(compiler: Compiler): Promise<any>;
}
declare const _default: (api: any) => void;

export { Project, _default as default, getRollupConfig };
